Create or update a credit unit
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/account-pricing/credit-unit
Body Parameters
- bodypayment.pricing.CreditUnit.in
- idstring
- shortNamestring
- namestring
- ratioToCurrencynumber
- descriptionstring
- activeboolean
- lastUpdateTimeInMillisinteger<int64>
Responses
200
- payment.pricing.CreditUnit.out
- idstring
- shortNamestring
- namestring
- ratioToCurrencynumber
- descriptionstring
- activeboolean
- lastUpdateTimeInMillisinteger<int64>
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/credit-unit \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/credit-unit", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/credit-unit")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/credit-unit"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"id": "",
"shortName": "",
"name": "",
"ratioToCurrency": 0,
"description": "",
"active": false,
"lastUpdateTimeInMillis": ""
}